package com.ruoyi.project.training.elearn.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.training.elearn.domain.TElLearn;

/**
 * 在线学习记录Mapper接口
 * 
 * @author ssy
 * @date 2024-06-05
 */
public interface TElLearnMapper 
{
    public TElLearn selectLearnByUserIdAndResourceId(TElLearn tElLearn);

    /**
     * 查询在线学习记录
     * 
     * @param id 在线学习记录ID
     * @return 在线学习记录
     */
    public TElLearn selectTElLearnById(Long id);

    /**
     * 查询在线学习记录列表
     * 
     * @param tElLearn 在线学习记录
     * @return 在线学习记录集合
     */
    @DataScope(deptAlias = "d")
    public List<TElLearn> selectTElLearnList(TElLearn tElLearn);

    /**
     * 新增在线学习记录
     * 
     * @param tElLearn 在线学习记录
     * @return 结果
     */
    public int insertTElLearn(TElLearn tElLearn);

    /**
     * 修改在线学习记录
     * 
     * @param tElLearn 在线学习记录
     * @return 结果
     */
    public int updateTElLearn(TElLearn tElLearn);

    /**
     * 删除在线学习记录
     * 
     * @param id 在线学习记录ID
     * @return 结果
     */
    public int deleteTElLearnById(Long id);

    /**
     * 批量删除在线学习记录
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTElLearnByIds(Long[] ids);
}
